DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ChainCodeGetChains

Chain code access function

## SYNOPSIS

`#include "dip_chaincode.h"`

dip_Error dip_ChainCodeGetChains ( chaincode, chain )

## FUNCTION

Returns a pointer to the first element of the chain. Each chain element contains a pointer to the next element. The last element has a `NULL` pointer. `ChainCodeGetSize` returns the number of elements in the chain. See `ChainCodeNew` for more information.

## ARGUMENTS

Data type | Name | Description
`dip_ChainCode` | `chaincode` | Chain code
`dip_Chain **` | `chain` | Receives the pointer to the first element in the chain

## SEE ALSO

`ImageChainCode`, `ChainCodeNew`, `ChainCodeFree`, `ChainCodeGetSize`, `ChainCodeGetStart`, `ChainCodeGetLabel`, `ChainCodeGetConnectivity`